play.db.helper

## Class SqlSelect.Where

- java.lang.Object
- - play.db.helper.SqlSelect.Where

- Enclosing class:
    SqlSelect

      public static class SqlSelect.Where
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SqlSelect.Where` | `andWhere(java.lang.String... expr)`
    `java.util.List<java.lang.Object>` | `getParams()`
    `SqlSelect.Where` | `orWhere(java.lang.String... expr)`
    `SqlSelect.Where` | `param(java.lang.Object obj)`
    `int` | `paramCurrentIndex()`
    `SqlSelect.Where` | `params(java.lang.Object... objs)`
    `java.lang.String` | `pmark()`
    `java.lang.String` | `pmark(int offset)`
    `java.lang.String` | `toString()`
    `SqlSelect.Where` | `where(java.lang.String... expr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### param

          public SqlSelect.Where param(java.lang.Object obj)

    - #### params

          public SqlSelect.Where params(java.lang.Object... objs)

    - #### getParams

          public java.util.List<java.lang.Object> getParams()

    - #### paramCurrentIndex

          public int paramCurrentIndex()

    - #### pmark

          public java.lang.String pmark()

    - #### pmark

          public java.lang.String pmark(int offset)

    - #### where

          public SqlSelect.Where where(java.lang.String... expr)

    - #### andWhere

          public SqlSelect.Where andWhere(java.lang.String... expr)

    - #### orWhere

          public SqlSelect.Where orWhere(java.lang.String... expr)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly